%set %%username = "rougail_test@silique.fr"
%set %%username_family = "rougail_test@gnunux.info"
%set %%name_family = 'gnunux'
%set %%familydn = %%calc_ldapclient_base_dn(%%ldapclient_base_dn, family_name=%%name_family)
%set %%userdn = 'cn=' + %%username + ',' +  %%calc_ldapclient_base_dn(%%ldapclient_base_dn)
%set %%userfamilydn = 'cn=' + %%username_family + ',' + %%familydn
address: %%ip_eth0
admin_dn: %%ldapclient_user
admin_password: %%ldapclient_user_password
user_dn: %%userdn
user_password: %%get_password(server_name='test', username=%%username, description='test', type="cleartext", hide=%%hide_secret, temporary=True)
user_family_dn: %%userfamilydn
user_family_password: %%get_password(server_name='test', username=%%username_family, description="test", type="cleartext", hide=%%hide_secret, temporary=True)
base_account_dn: %%ldap_account_dn
base_user_dn: %%ldapclient_user_dn
base_family_dn: %%familydn
base_group_dn: %%ldapclient_group_dn
%for %%idx in %%range(3)
  %set %%name = 'remote_test' + %%str(%%idx)
remote%%idx: cn=%%name,%%ldapclient_base_dn
remote_password%%idx: %%get_password(server_name=%%domain_name_eth0, username=%%name, description="remote account", type="cleartext", hide=%%hide_secret, temporary=True)
%end for
users:
  %%username: %%userdn
  %%username_family: %%userfamilydn
%for %%user in %%accounts.users.ldap_user_mail
  %%user: cn=%%user,%%ldapclient_user_dn
%end for
%for %%family in %%accounts.families
  %set %%families = %%calc_ldapclient_base_dn(%%ldapclient_base_dn, %%family)
  %for %%user in %%accounts['family_' + %%family]['users_' + %%family]['ldap_user_mail_' + %%family]
  %%user: cn=%%user,%%families
  %end for
%end for
groups:
  users:
    - %%userdn
%for %%user in %%accounts.users.ldap_user_mail
    - cn=%%user,%%ldapclient_user_dn
%end for
%for %%family in %%accounts.families
  %%family:
  %if %%family == %%name_family
    - %%userfamilydn
  %end if
  %for %%user in %%accounts['family_' + %%family]['users_' + %%family]['ldap_user_mail_' + %%family]
    - cn=%%user,%%families
  %end for
%end for
%if 'gnunux' not in %%accounts.families
  %set %%families = %%calc_ldapclient_base_dn(%%ldapclient_base_dn, 'gnunux')
  gnunux:
    - cn=rougail_test@gnunux.info,%%families
%end if
